Bug 860120 - yum hangs on futex when installing the package after openstack-dashboard
yum hangs on futex when installing the package after openstack-dashboard
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-django-horizon (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 23:07 EDT by Pádraig Brady
Modified: 2012-12-03 03:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-03 03:59:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-09-24 23:07:31 EDT
yum locks up when installing openstack-quantum.
For hints on what might cause this see bug #444321

Here is a portion of the log from openstack-demo-install,
with the --rpmverbosity=debug flag specified to yum.
In this case the quantum install hangs, but I've also seen memcached
hang in the same way after it is installed after openstack-dashboard
(in the same yum transaction).

D: %post(openstack-dashboard-2012.2-0.8.rc2.fc18.noarch): scriptlet start
D: %post(openstack-dashboard-2012.2-0.8.rc2.fc18.noarch): execv(/bin/sh) pid 30142
+ python /usr/share/openstack-dashboard/manage.py syncdb
+ :
+ python /usr/share/openstack-dashboard/manage.py collectstatic --noinput
D: %post(openstack-dashboard-2012.2-0.8.rc2.fc18.noarch): waitpid(30142) rc 30142 status 0
D: ========== +++ openstack-quantum-2012.2-0.10.rc2.fc18 noarch-linux 0x0
D: Expected size:        26492 = lead(96)+sigs(180)+pad(4)+data(26212)
D:   Actual size:        26492
D: openstack-quantum-2012.2-0.10.rc2.fc18.noarch: Header SHA1 digest: OK (e8f49ea6aa15faac2a7453a9fd1ffaf6804e952f)
D:   install: openstack-quantum-2012.2-0.10.rc2.fc18 has 34 files
D: %pre(openstack-quantum-2012.2-0.10.rc2.fc18.noarch): scriptlet start
D: %pre(openstack-quantum-2012.2-0.10.rc2.fc18.noarch): execv(/bin/sh) pid 30156
+ getent group quantum
+ groupadd -r quantum --gid 164
+ getent passwd quantum
+ useradd --uid 164 -r -g quantum -d /var/lib/quantum -s /sbin/nologin -c 'OpenStack Quantum Daemons' quantum
+ exit 0
D: %pre(openstack-quantum-2012.2-0.10.rc2.fc18.noarch): waitpid(30156) rc 30156 status 0
  Installing : openstack-quantum-2012.2-0.10.rc2.fc18.noarch [################################################## ] 157/161XZDIO:     146 reads,    62557 total bytes in 0.002028 secs
  Installing : openstack-quantum-2012.2-0.10.rc2.fc18.noarch                                                       157/161
Comment 1 Matthias Runge 2012-09-25 02:50:01 EDT
I have seen this with openstack-dashboard-2012.2-...rc1.fc18.noarch and upgrades from pre-folsom packages to rc1. 

Currently updating seems to work from released fedora package to current f18 package:

[root@turing noarch]# rpm -q openstack-dashboard
openstack-dashboard-2012.1.1-2.fc17.noarch

[root@turing noarch]# yum -v update openstack-dashboard
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_US to language list
Config time: 0.015
Yum Version: 3.4.3
rpmdb time: 0.000
Setting up Package Sacks
pkgsack time: 0.385
Building updates object
up:Obs Init time: 0.272
up:simple updates time: 0.030
up:obs time: 0.006
up:condense time: 0.000
updates time: 0.646
Not Updating Package that is already updated: openstack-dashboard.noarch 0:2012.1.1-2.fc17
Not Updating Package that is already updated: openstack-dashboard.noarch 0:2012.1.1-2.fc17
Resolving Dependencies
--> Running transaction check
---> Package openstack-dashboard.noarch 0:2012.1.1-2.fc17 will be updated
Checking deps for openstack-dashboard.noarch 0:2012.1.1-2.fc17 - ud
---> Package openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 will be an update
Checking deps for openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
looking for ('python-django-horizon', 'GE', ('0', '2012.2', None)) as a requirement of openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
looking for ('python-django-openstack-auth', None, (None, None, None)) as a requirement of openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
looking for ('python-django-compressor', None, (None, None, None)) as a requirement of openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
looking for ('mod_wsgi', None, (None, None, None)) as a requirement of openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
looking for ('httpd', None, (None, None, None)) as a requirement of openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
looking for ('/usr/bin/env', None, (None, None, None)) as a requirement of openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
looking for ('/bin/sh', None, (None, None, None)) as a requirement of openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 0.432

Dependencies Resolved

================================================================================
 Package             Arch   Version               Repository               Size
================================================================================
Updating:
 openstack-dashboard noarch 2012.2-0.8.rc2.fc18   fedora-openstack-folsom 242 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 242 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
No Presto metadata available for fedora-openstack-folsom
openstack-dashboard-2012.2-0.8.rc2.fc18.noarch.rpm       | 242 kB     00:01     
Member: openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18 - u
Adding Package openstack-dashboard-2012.2-0.8.rc2.fc18.noarch in mode u
Member: openstack-dashboard.noarch 0:2012.1.1-2.fc17 - ud
Running Transaction Check
Transaction Check time: 0.042
Running Transaction Test
Transaction Test Succeeded
Transaction Test time: 0.069
Running Transaction
  Updating   : openstack-dashboard-2012.2-0.8.rc2.fc18.noarch               1/2 
  Cleanup    : openstack-dashboard-2012.1.1-2.fc17.noarch                   2/2 
  Verifying  : openstack-dashboard-2012.2-0.8.rc2.fc18.noarch               1/2 
  Verifying  : openstack-dashboard-2012.1.1-2.fc17.noarch                   2/2 
VerifyTransaction time: 0.812
Transaction time: 4.174

Updated:
  openstack-dashboard.noarch 0:2012.2-0.8.rc2.fc18                              

Complete!
Comment 2 Alan Pevec 2012-09-25 04:02:12 EDT
+ python /usr/share/openstack-dashboard/manage.py syncdb

db access shouldn't be happening in %post I propose to remove that line.
Comment 3 Matthias Runge 2012-09-25 04:08:05 EDT
One side note: 
I have never seen a problem, when first removing openstack-dashboard via yum remove, then install any later version of openstack-dashboard via yum install

So, I guess, it's update specific.
Comment 4 Pádraig Brady 2012-09-25 04:13:27 EDT
Note when I started another yum transaction after yum installing openstack in isolation, I get:

BDB2053 Freeing read locks for locker 0x2d: 1451/140678633338816
BDB2053 Freeing read locks for locker 0x2e: 1451/140678633338816
BDB2053 Freeing read locks for locker 0x2f: 1451/140678633338816
BDB2053 Freeing read locks for locker 0x30: 1451/140678633338816

I presume they're stale locks left behind by the openstack-dashboard install
Comment 5 Fedora Update System 2012-09-25 07:12:59 EDT
python-django-horizon-2012.2-0.9.rc2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-14692/python-django-horizon-2012.2-0.9.rc2.fc18
Comment 6 Ian Main 2012-09-25 11:17:30 EDT
I had a similar/same issue.  Ran the openstack-demo-install and it hung in yum for hours (verified it was yum via pstree), killed yum.  Did a yum update the next day (today) and it hung again, ctrl-c'd it and got rpm database corruption.
Comment 7 Fedora Update System 2012-09-25 11:57:45 EDT
Package python-django-horizon-2012.2-0.9.rc2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-django-horizon-2012.2-0.9.rc2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14692/python-django-horizon-2012.2-0.9.rc2.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-28 08:15:27 EDT
python-django-horizon-2012.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-horizon-2012.2-1.fc18
Comment 9 Pádraig Brady 2012-09-28 08:25:01 EDT
Just for reference, here is a log of an excetion from manage.py
which may have (in conjunction with abrt?) triggered the issue in yum:

    Sep 19 14:09:13 localhost yum[1461]: Installed: virt-manager-0.9.4-1.fc18.1.noarch
    Sep 19 14:09:16 localhost abrt: detected unhandled Python exception in '/usr/share/openstack-dashboard/manage.py'
    Sep 19 14:09:16 localhost abrtd: New client connected
    Sep 19 14:09:16 localhost abrtd: Directory 'pyhook-2012-09-19-14:09:16-1885' creation detected
    Sep 19 14:09:16 localhost abrt-server[1890]: Saved problem directory of pid 1885 to '/var/spool/abrt/pyhook-2012-09-19-14:09:16-1885'
    Sep 19 14:09:17 localhost abrtd: New problem directory /var/spool/abrt/pyhook-2012-09-19-14:09:16-1885, processing
    Sep 19 14:09:17 localhost abrt: detected unhandled Python exception in '/usr/share/openstack-dashboard/manage.py'
    Sep 19 14:09:17 localhost abrtd: New client connected
    Sep 19 14:09:17 localhost abrt-server[1911]: Not saving repeating crash in '/usr/share/openstack-dashboard/manage.py'
    Sep 19 14:09:17 localhost yum[1461]: Installed: openstack-dashboard-2012.2-0.4.f1.fc18.noarch
Comment 10 Matthias Runge 2012-12-03 03:59:08 EST
I guess, this is fixed now.

Note You need to log in before you can comment on or make changes to this bug.